gi-atk-2.0.22: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Interfaces.TableCell

Contents

- Exported types
- Methods
  - Overloaded methods
  - getColumnHeaderCells
  - getColumnSpan
  - getPosition
  - getRowColumnSpan
  - getRowHeaderCells
  - getRowSpan
  - getTable

Description

Being `Table` a component which present elements ordered via rows and columns, an `TableCell` is the interface which each of those elements, so "cells" should implement.

See also `Table`.

Synopsis

- newtype TableCell = TableCell (ManagedPtr TableCell)
- class (GObject o, IsDescendantOf TableCell o) => IsTableCell o
- toTableCell :: (MonadIO m, IsTableCell o) => o -> m TableCell
- tableCellGetColumnHeaderCells :: (HasCallStack, MonadIO m, IsTableCell a) => a -> m [Object]
- tableCellGetColumnSpan :: (HasCallStack, MonadIO m, IsTableCell a) => a -> m Int32
- tableCellGetPosition :: (HasCallStack, MonadIO m, IsTableCell a) => a -> m (Bool, Int32, Int32)
- tableCellGetRowColumnSpan :: (HasCallStack, MonadIO m, IsTableCell a) => a -> m (Bool, Int32, Int32, Int32, Int32)
- tableCellGetRowHeaderCells :: (HasCallStack, MonadIO m, IsTableCell a) => a -> m [Object]
- tableCellGetRowSpan :: (HasCallStack, MonadIO m, IsTableCell a) => a -> m Int32
- tableCellGetTable :: (HasCallStack, MonadIO m, IsTableCell a) => a -> m Object

# Exported types

newtype TableCell Source #

Memory-managed wrapper type.

Constructors

TableCell (ManagedPtr TableCell) |

#### Instances

Instances details

Eq TableCell Source # |
Instance details Defined in GI.Atk.Interfaces.TableCell Methods (==) :: TableCell -> TableCell -> Bool # (/=) :: TableCell -> TableCell -> Bool #
GObject TableCell Source # |
Instance details Defined in GI.Atk.Interfaces.TableCell
TypedObject TableCell Source # |
Instance details Defined in GI.Atk.Interfaces.TableCell Methods glibType :: IO GType Source #
ManagedPtrNewtype TableCell Source # |
Instance details Defined in GI.Atk.Interfaces.TableCell Methods toManagedPtr :: TableCell -> ManagedPtr TableCell Source #
IsGValue TableCell Source # | Convert `TableCell` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Interfaces.TableCell Methods toGValue :: TableCell -> IO GValue Source # fromGValue :: GValue -> IO TableCell Source #
HasParentTypes TableCell Source # |
Instance details Defined in GI.Atk.Interfaces.TableCell
type ParentTypes TableCell Source # |
Instance details Defined in GI.Atk.Interfaces.TableCell type ParentTypes TableCell = '[Object, Object]

class (GObject o, IsDescendantOf TableCell o) => IsTableCell o Source #

Type class for types which can be safely cast to `TableCell`, for instance with `toTableCell`.

#### Instances

Instances details

(GObject o, IsDescendantOf TableCell o) => IsTableCell o Source # |
Instance details Defined in GI.Atk.Interfaces.TableCell

toTableCell :: (MonadIO m, IsTableCell o) => o -> m TableCell Source #

Cast to `TableCell`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## getColumnHeaderCells

tableCellGetColumnHeaderCells Source #

Arguments

:: (HasCallStack, MonadIO m, IsTableCell a) |
=> a | `cell`: a GObject instance that implements AtkTableCellIface
-> m [Object] | Returns: a GPtrArray of AtkObjects representing the column header cells.

Returns the column headers as an array of cell accessibles.

Since: 2.12

## getColumnSpan

tableCellGetColumnSpan Source #

Arguments

:: (HasCallStack, MonadIO m, IsTableCell a) |
=> a | `cell`: a GObject instance that implements AtkTableCellIface
-> m Int32 | Returns: a gint representing the number of columns occupied by this cell, or 0 if the cell does not implement this method.

Returns the number of columns occupied by this cell accessible.

Since: 2.12

## getPosition

tableCellGetPosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsTableCell a) |
=> a | `cell`: a GObject instance that implements AtkTableCellIface
-> m (Bool, Int32, Int32) | Returns: TRUE if successful; FALSE otherwise.

Retrieves the tabular position of this cell.

Since: 2.12

## getRowColumnSpan

tableCellGetRowColumnSpan Source #

Arguments

:: (HasCallStack, MonadIO m, IsTableCell a) |
=> a | `cell`: a GObject instance that implements AtkTableCellIface
-> m (Bool, Int32, Int32, Int32, Int32) | Returns: TRUE if successful; FALSE otherwise.

Gets the row and column indexes and span of this cell accessible.

Note: If the object does not implement this function, then, by default, atk will implement this function by calling get_row_span and get_column_span on the object.

Since: 2.12

## getRowHeaderCells

tableCellGetRowHeaderCells Source #

Arguments

:: (HasCallStack, MonadIO m, IsTableCell a) |
=> a | `cell`: a GObject instance that implements AtkTableCellIface
-> m [Object] | Returns: a GPtrArray of AtkObjects representing the row header cells.

Returns the row headers as an array of cell accessibles.

Since: 2.12

## getRowSpan

tableCellGetRowSpan Source #

Arguments

:: (HasCallStack, MonadIO m, IsTableCell a) |
=> a | `cell`: a GObject instance that implements AtkTableCellIface
-> m Int32 | Returns: a gint representing the number of rows occupied by this cell, or 0 if the cell does not implement this method.

Returns the number of rows occupied by this cell accessible.

Since: 2.12

## getTable

tableCellGetTable Source #

Arguments

:: (HasCallStack, MonadIO m, IsTableCell a) |
=> a | `cell`: a GObject instance that implements AtkTableCellIface
-> m Object | Returns: the atk object for the containing table.

Returns a reference to the accessible of the containing table.

Since: 2.12